Last-Modified: Wed, 18 Dec 2024 07:12:10 GMT
Expires: Sat, 16 Dec 2034 07:12:10 GMT

<!DOCTYPE html>
<html lang='en'>
<head>
<title>guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/gnu/packages/make-bootstrap.scm?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='eee90d7500edfda6a146bb572da063d64ebff3f8'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=eee90d7500edfda6a146bb572da063d64ebff3f8'>refs</a><a href='/guix/log/gnu/packages/make-bootstrap.scm'>log</a><a href='/guix/tree/gnu/packages/make-bootstrap.scm?id=eee90d7500edfda6a146bb572da063d64ebff3f8'>tree</a><a href='/guix/commit/gnu/packages/make-bootstrap.scm?id=eee90d7500edfda6a146bb572da063d64ebff3f8'>commit</a><a class='active' href='/guix/diff/gnu/packages/make-bootstrap.scm?id=eee90d7500edfda6a146bb572da063d64ebff3f8'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/make-bootstrap.scm'>
<input type='hidden' name='id' value='eee90d7500edfda6a146bb572da063d64ebff3f8'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/diff/?id=eee90d7500edfda6a146bb572da063d64ebff3f8'>root</a>/<a href='/guix/diff/gnu?id=eee90d7500edfda6a146bb572da063d64ebff3f8'>gnu</a>/<a href='/guix/diff/gnu/packages?id=eee90d7500edfda6a146bb572da063d64ebff3f8'>packages</a>/<a href='/guix/diff/gnu/packages/make-bootstrap.scm?id=eee90d7500edfda6a146bb572da063d64ebff3f8'>make-bootstrap.scm</a></div><div class='content'><div class='cgit-panel'><b>diff options</b><form method='get'><input type='hidden' name='id' value='eee90d7500edfda6a146bb572da063d64ebff3f8'/><table><tr><td colspan='2'/></tr><tr><td class='label'>context:</td><td class='ctrl'><<tr class='logheader'><td><span title='2021-12-22 10:53:19 +0100'>2021-12-22</span></td><td class='logsubject'><a href='/guix/commit/build-aux/test-env.in?id=9ebc9ca070a21ba0aeb3f61202a8071bb250ccc8'>tests: Move keys into ./tests/keys/ and add a third ed25519 key.</a></td><td>Attila Lendvai</td></tr>
<tr class='nohover-highlight'><td/><td colspan='3' class='logmsg'>
The third key will be used in an upcoming commit.

Rename public keys to .pub.

* guix/tests/gnupg.scm (%ed25519-3-public-key-file): New variable.
(%ed25519-3-secret-key-file): New variable.
(%ed25519-2-public-key-file): Renamed from %ed25519bis-public-key-file.
(%ed25519-2-secret-key-file): Renamed from %ed25519bis-secret-key-file.
* tests/keys/ed25519-3.key: New file.
* tests/keys/ed25519-3.sec: New file.

Signed-off-by: Mathieu Othacehe &lt;othacehe@gnu.org&gt;


</td></tr>
<tr class='logheader'><td><span title='2021-04-20 12:13:16 +0200'>2021-04-20</span></td><td class='logsubject'><a href='/guix/commit/build-aux/test-env.in?id=d95168321f4a9bf6857b598da0a183b45a868d54'>import: Remove Nix importer.</a></td><td>Ludovic Courtès</td></tr>
<tr class='nohover-highlight'><td/><td colspan='3' class='logmsg'>
This importer has suffered from bitrot and no longer works with current
Nix and Nixpkgs.  See &lt;https://bugs.gnu.org/32339&gt; and
&lt;https://bugs.gnu.org/36255&gt;.

* guix/import/snix.scm, guix/scripts/import/nix.scm,
tests/snix.scm: Remove.
* Makefile.am (MODULES, SCM_TESTS): Remove them.
* guix/scripts/import.scm (importers): Remove "nix".
* build-aux/test-env.in: Remove NIXPKGS variable.
* configure.ac: Remove '--with-nixpkgs' option.
* doc/guix.texi (Invoking guix import): Remove bit about "guix import
nix".
* etc/completion/fish/guix.fish: Likewise.


</td></tr>
<tr class='logheader'><td><span title='2019-10-16 22:53:40 +0200'>2019-10-16</span></td><td class='logsubject'><a href='/guix/commit/build-aux/test-env.in?id=a1aaca314ca94700ebe3449d6bd73522f2d243bc'>build: Remove references to 'NIX_LOCALSTATE_DIR'.</a></td><td>Ludovic Courtès</td></tr>
<tr class='nohover-highlight'><td/><td colspan='3' class='logmsg'>
* build-aux/test-env.in: Remove references to 'NIX_LOCALSTATE_DIR'.


</td></tr>
<tr class='logheader'><td><span title='2019-10-16 22:53:40 +0200'>2019-10-16</span></td><td class='logsubject'><a href='/guix/commit/build-aux/test-env.in?id=47e99e626b46b2fc433506a822d251de68ad6241'>daemon: Remove traces of 'NIX_ROOT_FINDER'.</a></td><td>Ludovic Courtès</td></tr>
<tr class='nohover-highlight'><td/><td colspan='3' class='logmsg'>
This is a followup to 2e3e5d21988fc2cafb2a9eaf4b00976ea425629d.

* build-aux/test-env.in: Remove mentions of 'NIX_ROOT_FINDER'.
* nix/libstore/gc.cc (LocalStore::collectGarbage): Adjust comment
accordingly.


</td></tr>
<tr class='logheader'><td><span title='2019-02-04 00:03:30 +0100'>2019-02-04</span></td><td class='logsubject'><a href='/guix/commit/build-aux/test-env.in?id=a87d66f371da2a84d7bba1cae58b71c9c9af73aa'>daemon: Rename 'NIX_STATE_DIR' and 'NIX_DB_DIR' environment variables.</a></td><td>Ludovic Courtès</td></tr>
<tr class='nohover-highlight'><td/><td colspan='3' class='logmsg'>
Fixes &lt;https://bugs.gnu.org/22459&gt;.
Reported by Jeff Mickey &lt;j@codemac.net&gt;.

* guix/config.scm.in (%state-directory): Change NIX_STATE_DIR to
GUIX_STATE_DIRECTORY.
(%store-database-directory): Change NIX_DB_DIR to
GUIX_DATABASE_DIRECTORY.
* nix/libstore/globals.cc (Settings::processEnvironment): Likewise.
* guix/self.scm (make-config.scm): Likewise.
* build-aux/build-self.scm (make-config.scm): Likewise.
* build-aux/test-env.in: Likewise.
* tests/derivations.scm ("derivation #:leaked-env-vars"): Likewise.
* tests/guix-build.sh (GUIX_DAEMON_SOCKET): Likewise.
* tests/guix-daemon.sh (socket): Likewise.


</td></tr>
<tr class='logheader'><td><span title='2018-05-13 23:16:16 +0200'>2018-05-13</span></td><td class='logsubject'><a href='/guix/commit/build-aux/test-env.in?id=9e7b87ddc51c640c529d445e350c3d6ef43e301d'>build: 'test-env' does not 'guix download' non-existent files.</a></td><td>Ludovic Courtès</td></tr>
<tr class='nohover-highlight'><td/><td colspan='3' class='logmsg'>
Reported by uniq10.

* build-aux/test-env.in: Check whether FILE exists before invoking 'guix
download'.


</td></tr>
<tr class='logheader'><td><span title='2018-04-22 23:50:49 +0200'>2018-04-22</span></td><td class='logsubject'><a href='/guix/commit/build-aux/test-env.in?id=479c0e3f60f54e3c3a02f71efeb49119e20d2a96'>build: Fix possible race condition in 'test-env'.</a></td><td>Ludovic Courtès</td></tr>
<tr class='nohover-highlight'><td/><td colspan='3' class='logmsg'>
Reported by Mark H Weaver &lt;mhw@netris.org&gt;.

* build-aux/test-env.in: Add 'guile' invocation before 'guix download'
invocation to make sure 'guix-daemon' is listening.


</td></tr>
<tr class='logheader'><td><span title='2017-08-28 23:51:16 +0200'>2017-08-28</span></td><td class='logsubject'><a href='/guix/commit/build-aux/test-env.in?id=4f024ef3181c5235ff11789e8c8f62722f974787'>build: Remove code to download the Guile bootstrap tarball.</a></td><td>Ludovic Courtès</td></tr>
<tr class='nohover-highlight'><td/><td colspan='3' class='logmsg'>
* build-aux/download.scm: Remove.
* Makefile.am (EXTRA_DIST): Remove it.
(check-system): Remove dependency on $(BOOTSTRAP_GUILE_TARBALLS).
* gnu/local.mk (nodist_bootstrap_x86_64_linux_DATA)
(nodist_bootstrap_i686_linux_DATA, nodist_bootstrap_armhf_linux_DATA)
(nodist_bootstrap_aarch64_linux_DATA, nodist_bootstrap_mips64el_linux_DATA)
(BOOTSTRAP_GUILE_TARBALLS, DISTCLEANFILES, DOWNLOAD_FILE)
(%D%/packages/bootstrap/x86_64-linux/guile-2.0.9.tar.xz)
(%D%/packages/bootstrap/i686-linux/guile-2.0.9.tar.xz)
(%D%/packages/bootstrap/armhf-linux/guile-2.0.11.tar.xz)
(%D%/packages/bootstrap/aarch64-linux/guile-2.0.14.tar.xz)
(%D%/packages/bootstrap/mips64el-linux/guile-2.0.9.tar.xz): Remove.
* build-aux/test-env.in: Add "guix download" invocation when
gnu/packages/bootstrap/guile* exists.


</td></tr>
<tr class='logheader'><td><span title='2016-06-26 23:11:07 +0200'>2016-06-26</span></td><td class='logsubject'><a href='/guix/commit/build-aux/test-env.in?id=9dd674db017dbdc451cfd35da2dc3ce08db0726a'>daemon: Rename 'NIX_CONF_DIR' to 'GUIX_CONFIGURATION_DIRECTORY'.</a></td><td>David Craven</td></tr>
<tr class='nohover-highlight'><td/><td colspan='3' class='logmsg'>
Partly fixes &lt;http://bugs.gnu.org/22459&gt;.
Reported by Jeff Mickey &lt;j@codemac.net&gt; and David Craven &lt;david@craven.ch&gt;.

* nix/libstore/globals.cc (Settings::processEnvironment()): Change
'NIX_CONF_DIR' to 'GUIX_CONFIGURATION_DIRECTORY'.
* nix/local.mk (libstore_a_CPPFLAGS): Likewise.
* guix/config.scm.in (%config-directory): Likewise.
* build-aux/test-env.in: Likewise.
* gnu/packages/patches/hydra-automake-1.15.patch: Likewise.

Signed-off-by: Ludovic Courtès &lt;ludo@gnu.org&gt;


</td></tr>
<tr class='logheader'><td><span title='2016-05-04 23:35:55 +0200'>2016-05-04</span></td><td class='logsubject'><a href='/guix/commit/build-aux/test-env.in?id=4d9ed58498e3acb5bad1c5b862853f72bd3312aa'>build: Preserve stderr for shell tests.</a></td><td>Ludovic Courtès</td></tr>
<tr class='nohover-highlight'><td/><td colspan='3' class='logmsg'>
Fixes a regression introduced in
a9edb211e733b8b34e67ec3b4450567e9376986f where the .log files of the .sh
tests would not contain stderr.

* build-aux/test-env.in: Redirect stderr only when --quiet-stderr is
passed.
* Makefile.am (SCM_LOG_DRIVER): Add --quiet-stderr.


</td></tr>
<tr class='logheader'><td><span title='2016-04-15 00:59:07 +0200'>2016-04-15</span></td><td class='logsubject'><a href='/guix/commit/build-aux/test-env.in?id=a1097caa6a30f45661ee510c59bf0e01972cebba'>build: Move environment '.in' scripts to 'build-aux' directory.</a></td><td>Mathieu Lirzin</td></tr>
<tr class='nohover-highlight'><td/><td colspan='3' class='logmsg'>
* pre-inst-env.in: Move to ...
* build-aux/pre-inst-env.in: ... here.
* test-env.in: Move to ...
* build-aux/test-env.in: ... here.
* configure.ac (AC_CONFIG_FILES): Adapt to this.  Keep the generated
scripts in their current location which is $(top_builddir).


</td></tr>
</table><ul class='pager'></ul></div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>
